import { createApp } from 'vue'

import i18n from './i18n'
import App from '@/components/App/index.vue'
import { setupStore } from '@/stores'

import './assets/main.scss'

import defineWebViewerInstanceUIAPIs from '@/apis'

const app = createApp(App)

setupStore(app)
defineWebViewerInstanceUIAPIs()

app.use(i18n)

app.mount('#app')
